Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
personedit.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $SiteDesign)
| unlinkWild ( $dir, $rege)

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZContactMain", "Language" )
| $user =& eZUser::currentUser()
if(isset( $CompanyEdit) && $CompanyEdit) | else
| $item_id = $PersonID
if(!is_a( $user, "eZUser")) if(isset( $BuyButton)) if(isset( $OK)) if(isset( $ListConsultation)) if(isset( $NewConsultation)) if(isset( $FileButton)) if(isset( $Back)) if(isset( $Delete)) if(isset( $Action) && $Action=="delete") if(isset( $OK)) | $error = false
| $language_file = "personedit.php"
| $t
| $confirm = false

## Function Documentation

## ◆ deleteCache()

deleteCache | ( |  | $SiteDesign | ) |

Definition at line 49 of file personedit.php.

References unlinkWild().

## ◆ unlinkWild()

unlinkWild | ( |  | $dir,
|  |  | $rege
| ) |  |

Definition at line 54 of file personedit.php.

References $dir, eZPBFile\dir(), and eZPBFile\unlink().

Referenced by deleteCache().

## Variable Documentation

## ◆ $confirm

$confirm = false

Definition at line 306 of file personedit.php.

## ◆ $error

if (!is_a($user, "eZUser")) if (isset($BuyButton)) if (isset($OK)) if (isset($ListConsultation)) if (isset($NewConsultation)) if (isset($FileButton)) if (isset($Back)) if (isset($Delete)) if (isset($Action) &&$Action=="delete") if (isset($OK)) $error = false

Definition at line 228 of file personedit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 33 of file personedit.php.

## ◆ $item_id

$item_id = $PersonID

Definition at line 76 of file personedit.php.

## ◆ $Language

$Language = $ini->variable( "eZContactMain", "Language" )

Definition at line 34 of file personedit.php.

## ◆ $language_file

$language_file = "personedit.php"

Definition at line 238 of file personedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
"kernel/ezcontact/admin/intl", $Language, $language_file )
eZTemplate
Definition: eztemplate.php:107
$language_file
$language_file
Definition: personedit.php:238
$Language
$Language
Definition: personedit.php:34
$ini
$ini
Definition: personedit.php:33

Definition at line 241 of file personedit.php.

## ◆ $user

$user =& eZUser::currentUser()

Definition at line 66 of file personedit.php.

## ◆ else

if ($CompanyEdit) else

Initial value:
{
$item_type = "person"
$item_type
$item_type
Definition: addresstypeedit.php:31

Definition at line 73 of file personedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.